### A free/open-source library for quantitative finance

Public Member Functions
GeneralizedHullWhite::Dynamics Class Reference

Short-rate dynamics in the generalized Hull-White model. More...

`#include <ql/experimental/shortrate/generalizedhullwhite.hpp>`

Inherits ShortRateDynamics.

List of all members.

## Public Member Functions

| Dynamics (const Parameter &fitting, const boost::function< Real(Time)> &alpha, const boost::function< Real(Time)> &sigma)
Real | variable (Time t, Rate r) const
Real | shortRate (Time t, Real x) const

## Detailed Description

Short-rate dynamics in the generalized Hull-White model.

The short-rate is here

f(r_t) = x_t + g(t)

where g is the deterministic time-dependent parameter (which can not be determined analytically) used for term-structure fitting and x_t is the state variable following an Ornstein-Uhlenbeck process.